# norootforbuild

Name:				 libebml
Version:			 1.0.0
%define soname  2
Release:			 1.7
Summary:			 EBML File Parsing Library
Source:			 http://dl.matroska.org/downloads/libebml/libebml-%{version}.tar.bz2
Patch1:			 libebml-destdir.patch
URL:				 http://www.bunkus.org/videotools/mkvtoolnix/
Group:			 System/Libraries
License:			 GNU Lesser General Public License version 2.1 or later (LGPL v2.1 or later)
BuildRoot:		 %{_tmppath}/build-%{name}-%{version}
BuildRequires:	 gcc-c++ libstdc++-devel
BuildRequires:	 gcc make glibc-devel pkgconfig

%description
Library to parse EBML files: EBML is an open standard Extensible Binary
Meta-Language.

EBML was designed to be a simplified binary extension of XML for the purpose of
storing and manipulating data in a hierarchical form with variable field
lengths.

%package -n libebml%{soname}
Summary:			 EBML File Parsing Library
Group:			 System/Libraries

%description -n libebml%{soname}
Library to parse EBML files: EBML is an open standard Extensible Binary
Meta-Language.

EBML was designed to be a simplified binary extension of XML for the purpose of
storing and manipulating data in a hierarchical form with variable field
lengths.

%package -n libebml-devel
Summary:			 EBML File Parsing Library
Group:			 Development/Libraries/C and C++
Requires:		 libebml%{soname} = %{version}-%{release}

%description -n libebml-devel
Library to parse EBML files: EBML is an open standard Extensible Binary
Meta-Language.

%debug_package
%prep
%setup -q
%patch1

%__sed -i 's/\r$//' LICENSE.LGPL ChangeLog

%build
pushd make/linux
%__make %{?jobs:-j%{jobs}} \
	 CXX="%__cxx" \
	 CXXFLAGS="%{optflags}" \
	 CPPFLAGS="" \
	 DEBUGFLAGS="" \
	 prefix="%{_prefix}" \
	 libdir="%{_libdir}" \
	 includedir="%{_includedir}/ebml" \
	 all
popd #make/linux

%install
pushd make/linux
%makeinstall \
	 CXX="%__cxx" \
	 prefix="%{_prefix}" \
	 libdir="%{_libdir}" \
	 includedir="%{_includedir}/ebml" \
	 install_staticlib \
	 install_sharedlib \
	 install_headers
popd #make/linux

%post   -n libebml%{soname} -p /sbin/ldconfig
%postun -n libebml%{soname} -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files -n libebml%{soname}
%defattr(-,root,root)
%doc LICENSE.LGPL ChangeLog
%{_libdir}/libebml.so.%{soname}

%files -n libebml-devel
%defattr(-,root,root)
%{_includedir}/ebml
%{_libdir}/libebml.so
%{_libdir}/libebml.a

%changelog
* Sun Aug  1 2010 pascal@links2linux.de
- update to 1.0.0
- add baselibs support
* Sat Feb 13 2010 pascal@links2linux.de
- update to 0.7.8
- rewrote spec file
- devel package split
